
;==============================================================================

;-| ボタン配置 |-----------------------------------------------------
;各ボタンの配置を簡単に変更できます。
;このキャラクターのボタン配置を変えたいときなどに使います。
;x = x を x = a に変えれば、xがaに変わります。

[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| 標準化 |-------------------------------------------------------
[Defaults]
; timeを記述しなかった場合、以下の値が参照されます。最小値は1です。
command.time = 15

; buffer.timeの値です。1～30まで設定できます。
; 普通は1です。
command.buffer.time = 1

;------------------------------------------------------------------------------
;-| 必殺技 |-------------------------------------------------------------------
;コマンドの一部が重なる場合、先に書かれたものが優先されるので
;623 → 236の順に登録されています。
;（注:236等はテンキーでコマンドを表しています）

[Command]
name = "blocking"
command = y
time = 3

[Command]
name = "blocking"
command = y, $F
time = 3

[Command]
name = "C-blocking"
command = $D, y
time = 3

[Command]
name = "D-blocking"
command = F
time = 3

[Command]
name = "C-blocking"
command = y, $D
time = 3

[Command]
name = "DFDFx"
command = D, F, D, F, x
time = 30

[Command]
name = "半回転_z"
command = ~B, D, F, z

[Command]
name = "623_b"
command = ~F, D, DF, b

[Command]
name = "623_c"
command = ~F, D, DF, c

[Command]
name = "623_x"
command = ~F, D, DF, x

[Command]
name = "623_y"
command = ~F, D, DF, y

[Command]
name = "623_xy"
command = ~F, D, DF, x+y

[Command]
name = "421_b"
command = ~B, D, DB, b

[Command]
name = "236_x"
command = ~D, DF, F, x

[Command]
name = "236_y"
command = ~D, DF, F, y

[Command]
name = "236_xy"
command = ~D, DF, F, x+y

[Command]
name = "214_a"
command = ~D, DB, B, a
[Command]
name = "214_b"
command = ~D, DB, B, b
[Command]
name = "214_c"
command = ~D, DB, B, c

[Command]
name = "214_x"
command = ~D, DB, B, x

[Command]
name = "214_y"
command = ~D, DB, B, y

[Command]
name = "214_xy"
command = ~D, DB, B, x+y

[Command]
name = "236_a"
command = ~D, DF, F, a

[Command]
name = "236_b"
command = ~D, DF, F, b

[Command]
name = "236_c"
command = ~D, DF, F, c


[Command]
name = "236_ab"
command = ~D, DF, F, a+b

[Command]
name = "FF_ab"
command = F, F, a+b

[Command]
name = "FF_a"
command = F, F, a

[Command]
name = "FF_b"
command = F, F, b

[Command]
name = "DD_b"     ;Common1.cns
command = ~D, D , b
time = 10

[Command]
name = "DD_c"     ;Common1.cns
command = ~D, D , c
time = 10

[Command]
name = "DD_x"     ;Common1.cns
command = ~D, D , x
time = 10

[Command]
name = "DD_y"     ;Common1.cns
command = ~D, D , y
time = 10

[Command]
name = "DD_z"     ;Common1.cns
command = ~D, D , z
time = 10

[Command]
name = "highjump"
command = D, $U
time = 10

;------------------------------------------------------------------------------
;-| キー２回連続入力 |---------------------------------------------------------
[Command]
name = "FF"     ;Common1.cnsに使用されているため、コマンド名を変えるときは注意
command = F, F
time = 10

[Command]
name = "BB"     ;Common1.cns
command = B, B
time = 10

;------------------------------------------------------------------------------
;-| 同時押し |-----------------------------------------------------------------
[Command]
name = "recovery"   ;Common1.cns
command = x+y
time = 1

[Command]
name = "recovery"   ;Common1.cns
command = a+b
time = 1

;------------------------------------------------------------------------------
;-| 空中ダッシュ用 |---------------------------------------------------------------
[Command]
name = "前空D" ;技の名前 発動条件で使う 
command = F, F ;コマンド 
time = 10 ;入力受付時間 

[Command]
name = "後空D" ;技の名前 発動条件で使う 
command = B, B ;コマンド 
time = 10 ;入力受付時間 

;------------------------------------------------------------------------------
;-| 	用 |---------------------------------------------------------------
[Command]
name = "ハイJ" ;技の名前 発動条件で使う 
command = D , U ;コマンド 
time = 10 ;入力受付時間 
;------------------------------------------------------------------------------
;-| ボタン単発 |---------------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;------------------------------------------------------------------------------
;-| 押しっぱなし |-----------------------------------------------------
[Command]
name = "holdfwd"   ;Common1.cnsで使用されている
command = /$F
time = 1

[Command]
name = "holdback"  ;Common1.cns
command = /$B
time = 1

[Command]
name = "holdup"    ;Common1.cns
command = /$U
time = 1

[Command]
name = "holddown"  ;Common1.cns
command = /$D
time = 1

[Command]
name = "holdx"  ;Common1.cns
command = /x
time = 1

[Command]
name = "holda"
command = /a
time = 1

[Command]
name = "holdb"
command = /b
time = 1

[Command]
name = "holdc"
command = /c
time = 1

[Command]
name = "holdx"
command = /x
time = 1

[Command]
name = "holdy"
command = /y
time = 1

[Command]
name = "holdz"
command = /z
time = 1

[Command]
name = "holdstart"
command = /start
time = 1

;------------------------------------------------------------------------------
;==============================================================================
[Statedef -1];必須項目
;==============================================================================
;------------------------------------------------------------------------------
;以下、コマンド成立時の条件記述部
;------------------------------------------------------------------------------

;ガンマレイバースト
[State -1, a]
type = Selfstate
value = 100200
triggerall = !ishelper
triggerall = fvar(39)
triggerall = roundstate=2 && var(4)
triggerall = alive
triggerall = fvar(35)!=1;弱体化でない

trigger1 = numhelper(51000)
trigger1 = helper(51000),sysvar(2)=100

;転生
[State -1, a]
type = ChangeState
value = 3040
triggerall = !ishelper
triggerall = fvar(39)
triggerall = roundstate=2 && var(4)
triggerall = alive
triggerall = statetype != A
triggerall = !sysvar(2)
triggerall = stateno!=100200
triggerall = fvar(35)!=1;弱体化でない

trigger1 = life <= 500
trigger1 = var(40)>=660
trigger1 = var(42)>=2200
trigger1 = (ctrl|| stateno = 52)


;弾幕
[State -1, a]
type = ChangeState
value = 3030
triggerall = !ishelper
triggerall = fvar(39)
triggerall = roundstate=2 && var(4)
triggerall = alive
triggerall = statetype != A
triggerall = !sysvar(2)
triggerall = stateno!=100200
triggerall = fvar(33)=0

trigger1 = var(41)>960
trigger1 = (ctrl|| stateno = 52)
trigger1 = gametime%7=0 && random > 250

trigger2 = var(41)>1400
trigger2 = (ctrl|| stateno = 52)

;設定で即発射
trigger3 = fvar(34)=[1,2]
trigger3 = fvar(33)=0

;エアレイド
[State -1, a]
type = ChangeState
value = 720
triggerall = !ishelper
triggerall = fvar(39)
triggerall = roundstate=2 && var(4)
triggerall = alive
triggerall = statetype != A
triggerall = !sysvar(2)
triggerall = stateno!=100200

trigger1 = var(40)>660
trigger1 = (ctrl|| stateno = 52)
trigger1 = gametime%6=0 && random > 200

trigger2 = var(40)>960
trigger2 = (ctrl|| stateno = 52)

;クェイスラジエイト
[State -1, a]
type = ChangeState
value = 740
triggerall = !ishelper
triggerall = fvar(39)
triggerall = roundstate=2 && var(4)
triggerall = alive
triggerall = statetype != A
triggerall = !sysvar(2)
;超必殺してない時
triggerall = stateno!=720
triggerall = stateno!=3030
triggerall = stateno!=100200

trigger1 = var(43)>=440+random%200
trigger1 = (ctrl|| stateno = 52)

;後ろワープして変数が足りてるなら出す
trigger2 = stateno = 760
trigger2 = animelemtime(9)=0
trigger2 = random > 300
trigger2 = var(43)>=440+random%200

;前ワープ
[State -1, a]
type = ChangeState
value = 761
triggerall = !ishelper
triggerall = fvar(39)
triggerall = roundstate=2 && var(4)
triggerall = alive
triggerall = statetype != A
triggerall = !sysvar(2)
triggerall = stateno != 20
triggerall = stateno != 100
triggerall = prevstateno != 105
;超必殺してない時
triggerall = stateno!=720
triggerall = stateno!=3030
triggerall = stateno!=100200

trigger1 = ctrl
trigger1 = P2BodyDist X >= 100;敵との横の距離。
trigger1 = gametime%6=0 && random > 500



;後ワープ
[State -1, a]
type = ChangeState
value = 760
triggerall = !ishelper
triggerall = fvar(39)
triggerall = roundstate=2 && var(4)
triggerall = alive
triggerall = statetype != A
triggerall = !sysvar(2)
triggerall = stateno != 20
triggerall = stateno != 100
triggerall = prevstateno != 105
;超必殺してない時
triggerall = stateno!=720
triggerall = stateno!=3030
triggerall = stateno!=100200

trigger1 = ctrl
trigger1 = gametime%6=3 && random > 500

;6C当てたら後ろワープ
trigger2 = stateno = 225
trigger2 = !var(5)  && animelemtime(7)=0 && random > 500
trigger2 = projcontacttime(226)>0

;ディザストロ後に気分でワープ
trigger3 = stateno = 712
trigger3 = animelemtime(7)=1
trigger3 = random%3=[0,1]

;C当たってない時に壁際ならワープ
trigger4 = stateno = 220
trigger4 = enemy,movetype!=H
trigger4 = FrontEdgeDist < 50


;デストロイヤー製造(4Z)
[State -1, a]
type = ChangeState
value =100030
triggerall = !ishelper
triggerall = fvar(39)
triggerall = roundstate=2 && var(4)
triggerall = alive
triggerall = statetype != A
triggerall = !sysvar(2)
triggerall=numhelper(53003)=0

trigger1 = statetype != A &&(ctrl|| stateno = 52)
trigger1 = Enemy,statetype = L

;後ろワープして戦艦が出てないなら高確率で出す
trigger2 = stateno = 760
trigger2 = animelemtime(9)=0
trigger2 = random > 300

;自由な時に召喚する
trigger3 = statetype != A &&(ctrl|| stateno = 52)
trigger3 = gametime%6=0 && random > 700

;クェイスラジエイトした後に出す
trigger4 = stateno = 720
trigger4 = animelemtime(18)=0
trigger4 = random > 300

;戦闘機製造(Z)
[State -1, a]
type = ChangeState
value =100000
triggerall = !ishelper
triggerall = fvar(39)
triggerall = roundstate=2 && var(4)
triggerall = alive
triggerall = statetype != A
triggerall = !sysvar(2)
triggerall=numhelper(53000)=0

trigger1 = statetype != A &&(ctrl|| stateno = 52)
trigger1 = Enemy,statetype = L

;後ろワープして戦闘機が出てないなら高確率で出す
trigger2 = stateno = 760
trigger2 = animelemtime(9)=0
trigger2 = random > 300

;デストロイヤー召喚直後に気分で連続出撃
trigger3 = stateno = 100030
trigger3 = animelemtime(10)=0
trigger3 = random > 450

;自由な時に召喚する
trigger4 = statetype != A &&(ctrl|| stateno = 52)
trigger4 = gametime%6=0 && random > 750

;クェイスラジエイトした後に出す
trigger5 = stateno = 720
trigger5 = animelemtime(18)=0
trigger5 = random > 300

;戦闘機製造(6Z)
[State -1, a]
type = ChangeState
value =100010
triggerall = !ishelper
triggerall = fvar(39)
triggerall = roundstate=2 && var(4)
triggerall = alive
triggerall = statetype != A
triggerall = !sysvar(2)
triggerall=numhelper(53001)=0

trigger1 = statetype != A &&(ctrl|| stateno = 52)
trigger1 = Enemy,statetype = L

;後ろワープして戦闘機が出てないなら高確率で出す
trigger2 = stateno = 760
trigger2 = animelemtime(9)=0
trigger2 = random > 300

;戦闘機召喚直後に気分で連続出撃
trigger3 = stateno = 100000
trigger3 = animelemtime(10)=0
trigger3 = random > 450

;デストロイヤー召喚直後に気分で連続出撃
trigger4 = stateno = 100030
trigger4 = animelemtime(10)=0
trigger4 = random > 450

;自由な時に召喚する
trigger5 = statetype != A &&(ctrl|| stateno = 52)
trigger5 = gametime%6=0 && random > 770

;戦闘機製造(2Z)
[State -1, a]
type = ChangeState
value =100020
triggerall = !ishelper
triggerall = fvar(39)
triggerall = roundstate=2 && var(4)
triggerall = alive
triggerall = statetype != A
triggerall = !sysvar(2)
triggerall=numhelper(53002)=0

trigger1 = statetype != A &&(ctrl|| stateno = 52)
trigger1 = Enemy,statetype = L

;後ろワープして爆撃機が出てないなら高確率で出す
trigger2 = stateno = 760
trigger2 = animelemtime(9)=0
trigger2 = random > 300

;戦闘機召喚直後に気分で連続出撃
trigger3 = stateno = 100010
trigger3 = animelemtime(10)=0
trigger3 = random > 450

;デストロイヤー召喚直後に気分で連続出撃
trigger4 = stateno = 100030
trigger4 = animelemtime(10)=0
trigger4 = random > 450

;自由な時に召喚する
trigger5 = statetype != A &&(ctrl|| stateno = 52)
trigger5 = gametime%6=0 && random > 800

;前ダッシュ
[State -1, a]
type = ChangeState
value = 100
triggerall = !ishelper
triggerall = fvar(39)
triggerall = roundstate=2 && var(4)
triggerall = alive
triggerall = statetype != A
triggerall = !sysvar(2)
triggerall = stateno != 20
triggerall = stateno != 100
triggerall = prevstateno != 105

trigger1 = ctrl
trigger1 = P2BodyDist X >= 70;敵との横の距離。
trigger1 = gametime%3=0 && random > 400

;歩く
[State -1, a]
type = ChangeState
value = 20
triggerall = !ishelper
triggerall = fvar(39)
triggerall = !sysvar(2);超必殺してないとき
triggerall = roundstate=2 && var(4)
triggerall = alive
triggerall = statetype != A
triggerall = stateno != 20
triggerall = stateno != 105
triggerall = prevstateno != 105

;==遠すぎ
trigger1 = statetype != A &&(ctrl|| stateno = 52)
trigger1 = P2BodyDist X <= 110
trigger1 = P2BodyDist X >= 40
trigger1 = enemynear,statetype = L

;==近すぎ
trigger2 = statetype != A &&(ctrl|| stateno = 52)
trigger2 = P2BodyDist X < 30
trigger2 = enemynear,statetype = L

;立ち弱パンチ(214B)
[State -1, a]
type = ChangeState
value =710
triggerall = !ishelper
triggerall = fvar(39)
triggerall = roundstate=2 && var(4)
triggerall = alive
triggerall = statetype != A
triggerall = P2BodyDist X >= -10  && P2BodyDist X <= 160;敵との横の距離。
triggerall = enemy,statetype!=L
triggerall = !sysvar(2)

trigger1 = stateno = 225
trigger1 = !var(5)  && animelemtime(7)>=0
trigger1 = projcontacttime(0)>0

trigger2 = stateno = 760
trigger2 = animelemtime(9)=0
trigger2 = random > 700

trigger3 = ctrl 
trigger3 = gametime%15=0 && random > 800
trigger3 = P2BodyDist X >= 120

trigger4 = stateno = 225
trigger4 = animelemtime(7)=0
trigger4 = random >=600

;反射レーザー(214A)
[State -1, a]
type = ChangeState
value =100100
triggerall = !ishelper
triggerall = fvar(39)
triggerall = roundstate=2 && var(4)
triggerall = alive
triggerall = statetype != A
triggerall = P2BodyDist X >= -10  && P2BodyDist X <= 160;敵との横の距離。
triggerall = enemy,statetype!=L
triggerall = !sysvar(2)

trigger1 = stateno = 712
trigger1 = animelemtime(6)>=0
trigger1 = projcontacttime(0)>0

;6C当てたら発射
trigger2 = stateno = 225
trigger2 = !var(5)  && animelemtime(7)=0 && random > 600
trigger2 = projcontacttime(0)>0

trigger3 = ctrl
trigger3 = P2BodyDist X >= 120;敵との横の距離。
trigger3 = gametime%3=1 && random > 700

;立ち弱パンチ(A)
[State -1, a]
type = ChangeState
value = 200
triggerall = !ishelper
triggerall = fvar(39)
triggerall = roundstate=2 && var(4)
triggerall = alive
triggerall = statetype != A
triggerall = P2BodyDist X >= -10  && P2BodyDist X <= 52;敵との横の距離。
triggerall = enemy,statetype!=L
triggerall = !sysvar(2)

trigger1 = statetype != A &&(ctrl|| stateno = 52)
trigger1 = P2BodyDist Y <= 30  && P2BodyDist Y >= -50;敵との縦の距離。
trigger1 = Enemy,stateno != [10005,10006]

;立ち弱パンチ(B)
[State -1, a]
type = ChangeState
value = 210
triggerall = !ishelper
triggerall = fvar(39)
triggerall = roundstate=2 && var(4)
triggerall = alive
triggerall = statetype != A
triggerall = P2BodyDist X >= -10  && P2BodyDist X <= 100;敵との横の距離。
triggerall = enemy,statetype!=L
triggerall = !sysvar(2)

trigger1 = stateno = 200 && Movecontact>1 && !var(5)  && animelemtime(5)>=-3

trigger2 = statetype != A &&(ctrl|| stateno = 52)
trigger2 = P2BodyDist Y <= 30  && P2BodyDist Y >= -70;敵との縦の距離。
trigger2 = gametime%8=0 && random > 500

;Aがスカったら
trigger3 = stateno = 200 && !var(5)  && animelemtime(5)>=-3

;立ち弱パンチ(6B)
[State -1, a]
type = ChangeState
value = 215
triggerall = !ishelper
triggerall = fvar(39)
triggerall = roundstate=2 && var(4)
triggerall = alive
triggerall = statetype != A
triggerall = P2BodyDist X >= -10  && P2BodyDist X <= 200;敵との横の距離。
triggerall = enemy,statetype!=L
triggerall = !sysvar(2)

trigger1 = stateno = 210 && Movecontact>1 && !var(5)  && animelemtime(7)>=0

trigger2 = statetype != A &&(ctrl|| stateno = 52)
trigger2 = P2BodyDist X >= 90
trigger2 = gametime%11=2 && random > 500

trigger3 = stateno = 210 && enemy,movetype=H
trigger3 = animelemtime(7)>=0
trigger3 = random > 500

;立ち弱パンチ(C)
[State -1, a]
type = ChangeState
value = 220
triggerall = !ishelper
triggerall = fvar(39)
triggerall = roundstate=2 && var(4)
triggerall = alive
triggerall = statetype != A
triggerall = P2BodyDist X >= -10  && P2BodyDist X <= 200;敵との横の距離。
triggerall = enemy,statetype!=L
triggerall = !sysvar(2)

trigger1 = stateno = 215 
trigger1 = !var(5)  && animelemtime(11)>=0
trigger1 = projcontacttime(0)>0

trigger2 = Enemy,movetype = H
trigger2 = P2BodyDist X >= 80
trigger2 = statetype != A &&(ctrl|| stateno = 52)
trigger2 = Enemy,time = 1 && random > 300

trigger3 = stateno = 210 && !var(5)  && animelemtime(7)>=0

trigger4 = stateno = 210 && enemy,movetype!=h && animelemtime(7)>=-1

;立ち弱パンチ(6C)
[State -1, a]
type = ChangeState
value = 225
triggerall = !ishelper
triggerall = fvar(39)
triggerall = roundstate=2 && var(4)
triggerall = alive
triggerall = statetype != A
triggerall = P2BodyDist X >= -10  && P2BodyDist X <= 160;敵との横の距離。
triggerall = enemy,statetype!=L
triggerall = !sysvar(2)

trigger1 = stateno = 220
trigger1 = !var(5)  && animelemtime(10)>=-2
trigger1 = projcontacttime(0)>0

trigger2 = stateno = 220
trigger2 = !var(5)  && animelemtime(10)=-2
trigger2 = random > 700

trigger3 = stateno = 220
trigger3 = !var(5)  && animelemtime(10)>=-2
trigger3 = random > 600
trigger3 = enemy,movetype=H

trigger4 = stateno = 220
trigger4 = !var(5)  && animelemtime(10)>=0
trigger4 = random > 400
trigger4 = enemy,movetype!=H

;---------------------------------------------------------------------------
;高速ジャンプ
[State -1, High Jump];コマンド入力でフラグON
type = VarSet
triggerall = !ishelper
triggerall = !fvar(39)
triggerall = command = "highjump"
trigger1 = stateno = [0,40]
var(3) = 1   ;ここは大文字厳禁

[State -1, High Jump];フラグOFF
type = VarSet
triggerall = !ishelper
triggerall = !fvar(39)
triggerall = var(3)
trigger1 = time > 3
trigger2 = movetype != I
var(3) = 0

[State -1, High Jump]
type = ChangeState
value = 54
triggerall = !ishelper
triggerall = !fvar(39)
triggerall = var(3)
trigger1 = prevstateno = 40 && stateno = 50 

;ラン
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = !ishelper
triggerall = !fvar(39)
triggerall = statetype = S && ctrl
trigger1 = command = "FF" 

;バックステップ
[State -1, Back Step]
type = ChangeState
value = 105
triggerall = !ishelper
triggerall = !fvar(39)
triggerall = statetype = S && ctrl
trigger1 = command = "BB"



;236X
[State -1, a]
type = ChangeState
value = 3040
triggerall = !ishelper
triggerall = !fvar(39)
triggerall = command = "DFDFx"
trigger1 = ctrl


;--------------------------------------------------------------------------

;┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━╋
;┃†Mapelao。

;衛星砲。
[state ]
type=changestate
triggerall = !ishelper
triggerall = !fvar(39)
triggerall=command="214_y"
triggerall=statetype!=a
triggerall=ctrl
trigger1=numhelper(51000)>=1
trigger1=helper(51000),sysvar(2)>0
trigger2=numhelper(51000)=0
value=100200



;レーザー。
[state ]
type=changestate
value=100100
triggerall = !ishelper
triggerall = !fvar(39)
triggerall=numhelper(53100)=0
triggerall=command="214_a"
triggerall=statetype!=a
trigger1=ctrl
trigger2=stateno = [200,225]

;┃†Mapelao。
;┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━╋

;22Z
[State -1, a]
type = ChangeState
value = 3030
triggerall = !ishelper
triggerall = !fvar(39)
triggerall = command = "DD_z"
trigger1 = ctrl;statetype != A &&(ctrl|| stateno = 52)

;214X
[State -1, a]
type = ChangeState
value = 720
triggerall = !ishelper
triggerall = !fvar(39)
triggerall = command = "214_x"
triggerall = command != "holddown"
trigger1 = ctrl;statetype != A &&(ctrl|| stateno = 52)
trigger2 = stateno = [200,225]


;214C
[State -1, a]
type = ChangeState
value = 710
triggerall = !ishelper
triggerall = !fvar(39)
triggerall = command = "214_b"
triggerall = command != "holddown"
trigger1 = statetype != A &&(ctrl|| stateno = 52)
trigger2 = stateno = [200,225]


;236B
[State -1, a]
type = ChangeState
value = 700
triggerall = !ishelper
triggerall = !fvar(39)
triggerall = command = "236_b"
triggerall = command != "holddown"
triggerall = statetype != A
trigger1 = (ctrl|| stateno = 52)
trigger2 = movecontact

;立ち弱パンチ(6Y)
[State -1, a]
type = ChangeState
value = 761
triggerall = !ishelper
triggerall = !fvar(39)
triggerall = command = "y"
triggerall = command = "holdfwd"
trigger1 = statetype != A &&(ctrl|| stateno = 52)
trigger2 = stateno = [200,225]
;立ち弱パンチ(4Y)
[State -1, a]
type = ChangeState
value = 760
triggerall = !ishelper
triggerall = !fvar(39)
triggerall = command = "y"
triggerall = command = "holdback"
trigger1 = statetype != A &&(ctrl|| stateno = 52)
trigger2 = stateno = [200,225]

;立ち弱パンチ(6X)
[State -1, a]
type = null;ChangeState
value = 750
triggerall = !ishelper
triggerall = !fvar(39)
triggerall = command = "x"
triggerall = command = "holdfwd"
trigger1 = statetype != A &&(ctrl|| stateno = 52)
trigger2 = stateno = [200,220]

;立ち弱パンチ(6X)
[State -1, a]
type = ChangeState
value = 740
triggerall = !ishelper
triggerall = !fvar(39)
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype != A &&(ctrl|| stateno = 52)
trigger2 = stateno = [200,220]

;立ち弱パンチ(A)
[State -1, a]
type = ChangeState
value = 200
triggerall = !ishelper
triggerall = !fvar(39)
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype != A &&(ctrl|| stateno = 52)

;立ち弱パンチ(6B)
[State -1, a]
type = ChangeState
value = 215
triggerall = !ishelper
triggerall = !fvar(39)
triggerall = command = "b"
triggerall = command = "holdfwd"
triggerall = command != "holddown"
trigger1 = statetype != A &&(ctrl|| stateno = 52)
trigger2 = stateno = [200,210]

;立ち弱パンチ(B)
[State -1, a]
type = ChangeState
value = 210
triggerall = !ishelper
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype != A &&(ctrl|| stateno = 52)
trigger2 = stateno = 200

;立ち弱パンチ(6C)
[State -1, a]
type = ChangeState
value = 225
triggerall = !ishelper
triggerall = !fvar(39)
triggerall = command = "c"
triggerall = command = "holdfwd"
trigger1 = statetype != A &&(ctrl|| stateno = 52)
trigger2 = stateno = [200,220]

;立ち弱パンチ(4C)
[State -1, a]
type = null;ChangeState
value = 230
triggerall = !ishelper
triggerall = !fvar(39)
triggerall = command = "c"
triggerall = command = "holdback"
trigger1 = statetype != A &&(ctrl|| stateno = 52)
trigger2 = stateno = [200,220]

;立ち弱パンチ(C)
[State -1, a]
type = ChangeState
value = 220
triggerall = !ishelper
triggerall = !fvar(39)
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = statetype != A &&(ctrl|| stateno = 52)
trigger2 = stateno = [200,215]



;立ち弱パンチ(JC)
[State -1, a]
type = null;ChangeState
value = 620
triggerall = !ishelper
triggerall = !fvar(39)
triggerall = command = "c"
trigger1 = statetype = A &&(ctrl|| stateno = 52)



;┏━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━╋
;┃†Mapelao。

;戦艦。
[state ]
type=changestate
triggerall = !ishelper
triggerall = !fvar(39)
triggerall=numhelper(53003)=0
triggerall=command="z"
triggerall=command="holdback"
trigger1=statetype!=a
trigger1=ctrl
value=100030

;爆撃機。
[state ]
type=changestate
triggerall = !ishelper
triggerall = !fvar(39)
triggerall=numhelper(53002)=0
triggerall=command="z"
triggerall=command="holddown"
trigger1=statetype!=a
trigger1=ctrl
value=100020

;戦闘機B。
[state ]
type=changestate
triggerall = !ishelper
triggerall = !fvar(39)
triggerall=numhelper(53001)=0
triggerall=command="z"
triggerall=command="holdfwd"
trigger1=statetype!=a
trigger1=ctrl
value=100010

;戦闘機A。
[state ]
type=changestate
triggerall = !ishelper
triggerall = !fvar(39)
triggerall=numhelper(53000)=0
triggerall=command="z"
trigger1=statetype!=a
trigger1=ctrl
value=100000


;┃†Mapelao。
;┗━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━╋









